| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
traits< DynamicTypeMember > Struct Reference

`#include <Types.hpp>`

Inheritance diagram for traits< DynamicTypeMember >:
[legend]

## Public Types

using | base_type = DynamicTypeMember
using | ref_type
using | weak_ref_type
Public Types inherited from object_traits< DynamicTypeMember >
using | ref_type
using | weak_ref_type

## Static Public Member Functions

static std::shared_ptr< _Tp > | narrow (ref_type obj)
static FASTDDS_EXPORTED_API std::shared_ptr< DynamicTypeMember > | make_shared ()
Static Public Member Functions inherited from object_traits< DynamicTypeMember >
static std::shared_ptr< _Tp > | narrow (ref_type obj)

## Member Typedef Documentation

## ◆ base_type

using base_type = DynamicTypeMember

## ◆ ref_type

using ref_type

## ◆ weak_ref_type

using weak_ref_type

## Member Function Documentation

## ◆ make_shared()

FASTDDS_EXPORTED_API std::shared_ptr< DynamicTypeMember > make_shared | ( |  | ) |

static

## ◆ narrow()

std::shared_ptr< _Tp > narrow | ( | ref_type | obj | ) |

inline static

The documentation for this struct was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/Types.hpp